OGRE: Ogre::D3D11Mappings Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Static Public Member Functions | List of all members
Ogre::D3D11Mappings Class Reference

`#include <OgreD3D11Mappings.h>`

## Static Public Member Functions
static UINT | _getAccessFlags (v1::HardwareBuffer::Usage usage)
static D3D11_USAGE | _getUsage (v1::HardwareBuffer::Usage usage)
static bool | _isDynamic (v1::HardwareBuffer::Usage usage)
static D3D11_COMPARISON_FUNC | get (CompareFunction cf)
| return a D3D11 equivalent for a Ogre CompareFunction value More...
static void | get (const ColourValue &inColour, float *outColour)
| Get dx11 color. More...
static D3D11_FILTER | get (const FilterOptions minification, const FilterOptions magnification, const FilterOptions mips, const bool comparison=false)
| return a D3D11 state type for Ogre FilterOption min/mag/mip values More...
static D3D11_CULL_MODE | get (CullingMode cm, bool flip=false)
| return a D3D11 equivalent for a Ogre CillingMode value More...
static VertexElementSemantic | get (LPCSTR sem)
static UINT | get (MsaaPatterns::MsaaPatterns msaaPatterns)
static DXGI_FORMAT | get (PixelFormatGpu pf)
static D3D11_FILL_MODE | get (PolygonMode level)
| return a D3D11 equivalent for a Ogre PolygonMode value More...
static D3D11_BLEND | get (SceneBlendFactor sbf, bool forAlpha)
| return a D3D11 equivalent for a Ogre SceneBlendFactor value More...
static D3D11_BLEND_OP | get (SceneBlendOperation sbo)
| return a D3D11 equivalent for a Ogre SceneBlendOperation value More...
static D3D11_STENCIL_OP | get (StencilOperation op, bool invert=false)
| return a D3D11 equivalent for a Ogre StencilOperation value More...
static D3D11_TEXTURE_ADDRESS_MODE | get (TextureAddressingMode tam)
| return a D3D11 equivalent for a Ogre TextureAddressingMode value More...
static D3D11_SRV_DIMENSION | get (TextureTypes::TextureTypes type, bool cubemapsAs2DArrays, bool forMsaa)
static D3D11_MAP | get (v1::HardwareBuffer::LockOptions options, v1::HardwareBuffer::Usage usage)
| Get lock options. More...
static LPCSTR | get (VertexElementSemantic sem)
| Get vertex semantic. More...
static DXGI_FORMAT | get (VertexElementType vType)
| Get vertex data type. More...
static DXGI_FORMAT | getFamily (PixelFormatGpu pf)
static DXGI_FORMAT | getFormat (v1::HardwareIndexBuffer::IndexType itype)
| Get index type. More...
static DXGI_FORMAT | getForSrv (PixelFormatGpu pf)

## Member Function Documentation

## ◆ _getAccessFlags()

static UINT Ogre::D3D11Mappings::_getAccessFlags | ( | v1::HardwareBuffer::Usage | usage | ) |
| static

## ◆ _getUsage()

static D3D11_USAGE Ogre::D3D11Mappings::_getUsage | ( | v1::HardwareBuffer::Usage | usage | ) |
| static

## ◆ _isDynamic()

static bool Ogre::D3D11Mappings::_isDynamic | ( | v1::HardwareBuffer::Usage | usage | ) |
| static

## ◆ get() [1/16]

static D3D11_COMPARISON_FUNC Ogre::D3D11Mappings::get | ( | CompareFunction | cf | ) |
| static

return a D3D11 equivalent for a Ogre CompareFunction value

## ◆ get() [2/16]

static void Ogre::D3D11Mappings::get | ( | const ColourValue & | inColour,
|  | float * | outColour
| ) |  |
| static

Get dx11 color.

## ◆ get() [3/16]

static D3D11_FILTER Ogre::D3D11Mappings::get | ( | const FilterOptions | minification,
|  | const FilterOptions | magnification,
|  | const FilterOptions | mips,
|  | const bool | comparison = `false`
| ) |  |
| static

return a D3D11 state type for Ogre FilterOption min/mag/mip values

## ◆ get() [4/16]

static D3D11_CULL_MODE Ogre::D3D11Mappings::get | ( | CullingMode | cm,
|  | bool | flip = `false`
| ) |  |
| static

return a D3D11 equivalent for a Ogre CillingMode value

## ◆ get() [5/16]

static VertexElementSemantic Ogre::D3D11Mappings::get | ( | LPCSTR | sem | ) |
| static

## ◆ get() [6/16]

static UINT Ogre::D3D11Mappings::get | ( | MsaaPatterns::MsaaPatterns | msaaPatterns | ) |
| static

## ◆ get() [7/16]

static DXGI_FORMAT Ogre::D3D11Mappings::get | ( | PixelFormatGpu | pf | ) |
| static

## ◆ get() [8/16]

static D3D11_FILL_MODE Ogre::D3D11Mappings::get | ( | PolygonMode | level | ) |
| static

return a D3D11 equivalent for a Ogre PolygonMode value

## ◆ get() [9/16]

static D3D11_BLEND Ogre::D3D11Mappings::get | ( | SceneBlendFactor | sbf,
|  | bool | forAlpha
| ) |  |
| static

return a D3D11 equivalent for a Ogre SceneBlendFactor value

## ◆ get() [10/16]

static D3D11_BLEND_OP Ogre::D3D11Mappings::get | ( | SceneBlendOperation | sbo | ) |
| static

return a D3D11 equivalent for a Ogre SceneBlendOperation value

## ◆ get() [11/16]

static D3D11_STENCIL_OP Ogre::D3D11Mappings::get | ( | StencilOperation | op,
|  | bool | invert = `false`
| ) |  |
| static

return a D3D11 equivalent for a Ogre StencilOperation value

## ◆ get() [12/16]

static D3D11_TEXTURE_ADDRESS_MODE Ogre::D3D11Mappings::get | ( | TextureAddressingMode | tam | ) |
| static

return a D3D11 equivalent for a Ogre TextureAddressingMode value

## ◆ get() [13/16]

static D3D11_SRV_DIMENSION Ogre::D3D11Mappings::get | ( | TextureTypes::TextureTypes | type,
|  | bool | cubemapsAs2DArrays,
|  | bool | forMsaa
| ) |  |
| static

## ◆ get() [14/16]

static D3D11_MAP Ogre::D3D11Mappings::get | ( | v1::HardwareBuffer::LockOptions | options,
|  | v1::HardwareBuffer::Usage | usage
| ) |  |
| static

Get lock options.

## ◆ get() [15/16]

static LPCSTR Ogre::D3D11Mappings::get | ( | VertexElementSemantic | sem | ) |
| static

Get vertex semantic.

## ◆ get() [16/16]

static DXGI_FORMAT Ogre::D3D11Mappings::get | ( | VertexElementType | vType | ) |
| static

Get vertex data type.

## ◆ getFamily()

static DXGI_FORMAT Ogre::D3D11Mappings::getFamily | ( | PixelFormatGpu | pf | ) |
| static

## ◆ getFormat()

static DXGI_FORMAT Ogre::D3D11Mappings::getFormat | ( | v1::HardwareIndexBuffer::IndexType | itype | ) |
| static

Get index type.

## ◆ getForSrv()

static DXGI_FORMAT Ogre::D3D11Mappings::getForSrv | ( | PixelFormatGpu | pf | ) |
| static

The documentation for this class was generated from the following file:

- OgreD3D11Mappings.h